summaryrefslogtreecommitdiffstats
path: root/academic/ngspice/ngspice.SlackBuild
diff options
context:
space:
mode:
author B. Jogai <jogaib at comcast {dot} net>2010-05-13 00:57:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:21 +0200
commit458fbeb26092d7274de2d850745d32e8d1218ac4 (patch)
tree332e3d6776e0182c834648c609160b3af7cbd109 /academic/ngspice/ngspice.SlackBuild
parent8f557295a8c0ce9eb4c76ebfa90d85a6bfc1b4e9 (diff)
downloadslackbuilds-458fbeb26092d7274de2d850745d32e8d1218ac4.tar.gz
slackbuilds-458fbeb26092d7274de2d850745d32e8d1218ac4.tar.xz
academic/ngspice: Added to 13.0 repository
Diffstat (limited to 'academic/ngspice/ngspice.SlackBuild')
-rw-r--r--academic/ngspice/ngspice.SlackBuild100
1 files changed, 100 insertions, 0 deletions
diff --git a/academic/ngspice/ngspice.SlackBuild b/academic/ngspice/ngspice.SlackBuild
new file mode 100644
index 0000000000..ac2337ad49
--- /dev/null
+++ b/academic/ngspice/ngspice.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for ngspice
+# Written by B. Jogai <jogaib {at} comcast [dot] net>
+
+# Set initial variables:
+
+PRGNAM=ngspice
+VERSION=20
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/ng-spice-rework-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Apply patch for missing xgraph support
+zcat $CWD/patches/ngspice-xgraph.patch.gz | patch -p1
+
+# Fix the lib path to the code modules
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i "s%/lib/%/lib${LIBDIRSUFFIX}/%g" src/spinit.in
+fi
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-debug \
+ --with-readline=yes \
+ --enable-xgraph \
+ --enable-xspice \
+ --enable-cider \
+ --enable-dot-global \
+ --enable-intnoise \
+ --enable-numparam \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+
+cp -a ANALYSES AUTHORS BUGS COPYING ChangeLog DEVICES FAQ \
+ INSTALL NEWS README* doc/*.pdf doc/*.ps examples/ \
+ xgraph/examples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}